Loading...
Searching...
No Matches
rostlab::blast::parser::by_kind Struct Reference

Type access provider for token (enum) based symbols. More...

`#include <blast-parser-parser.h>`

Inheritance diagram for rostlab::blast::parser::by_kind:
[legend]

## Public Types

typedef token_kind_type | kind_type
| The symbol kind as needed by the constructor.

## Public Member Functions

| by_kind () YY_NOEXCEPT
| Default constructor.
| by_kind (const by_kind &that) YY_NOEXCEPT
| Copy constructor.
| by_kind (kind_type t) YY_NOEXCEPT
| Constructor from (external) token numbers.
void | clear () YY_NOEXCEPT
| Record that this symbol is empty.
void | move (by_kind &that)
| Steal the symbol kind from that.
symbol_kind_type | kind () const YY_NOEXCEPT
symbol_kind_type | type_get () const YY_NOEXCEPT
| Backward compatibility (Bison 3.6).

## Public Attributes

symbol_kind_type | kind_

## Detailed Description

Type access provider for token (enum) based symbols.

Definition at line 439 of file blast-parser-parser.h.

## Member Typedef Documentation

## kind_type

typedef token_kind_type rostlab::blast::parser::by_kind::kind_type

The symbol kind as needed by the constructor.

Definition at line 442 of file blast-parser-parser.h.

## Constructor & Destructor Documentation

## by_kind() [1/3]

rostlab::blast::parser::by_kind::by_kind | ( |  | ) |

Default constructor.

## by_kind() [2/3]

rostlab::blast::parser::by_kind::by_kind | ( | const by_kind & | that | ) |

Copy constructor.

## by_kind() [3/3]

rostlab::blast::parser::by_kind::by_kind | ( | kind_type | t | ) |

Constructor from (external) token numbers.

## Member Function Documentation

## clear()

void rostlab::blast::parser::by_kind::clear | ( |  | ) |

Record that this symbol is empty.

## kind()

symbol_kind_type rostlab::blast::parser::by_kind::kind | ( |  | ) | const

The (internal) type number (corresponding to type). empty when empty.

## move()

void rostlab::blast::parser::by_kind::move | ( | by_kind & | that | ) |

Steal the symbol kind from that.

## type_get()

symbol_kind_type rostlab::blast::parser::by_kind::type_get | ( |  | ) | const

Backward compatibility (Bison 3.6).

## Member Data Documentation

## kind_

symbol_kind_type rostlab::blast::parser::by_kind::kind_

The symbol kind. S_YYEMPTY when empty.

Definition at line 475 of file blast-parser-parser.h.

The documentation for this struct was generated from the following file:

- rostlab/blast-parser-parser.h